/********************************************************************************************************************************************
//RGB LED 5 mm
********************************************************************************************************************************************/
#macro DIODE_RGB_5MM(value)
 
#local f_matt =
finish {
    ambient 0.5
    diffuse 0.01
    reflection .25
    specular 0.1
    roughness 0.25
} 
 
#local t_matt =
texture {
    pigment { color rgbf <0.98, 1.0, 0.99, 0.75> }
    finish { f_matt }
}

#local MediaGlass=
     media {
                absorption rgb<0,1,1>
                scattering {2 extinction .25}
                }


#local led_cap = object{
    merge{
        sphere {0, 2.5 translate 4*y}
        cylinder{<0,4,0>,0, 2.5}
    
        difference{
            cylinder{<0,0,0>,<0,-1,0>,2.9}  
            box{<-5,-5,-5>,<-2.5,5,5>}   
    }
    texture{t_matt}
    interior {ior 1.5 media { MediaGlass}}//end interior}
    }
} 


#local led_beinchen1 = object{
   union{
    box{<-0.3,-24,-0.1>,<0.3,-3,0.1>}  // unteres senkrechtes Stck
    box{<-0.3,-3,-0.1>,<1.8,-2.4,0.1>}   // waagerechtes Stck
    box{<1.2,-3,-0.1>,<1.8,0,0.1> }   // oberes senkrechtes Stck
    box{<-0.4,-5,-0.1>,<0.4,-4,0.1>} //Mittenknubbel
    translate <-1.5,1,0>  
    texture{col_silver}
    }
}
  
#local led_beinchen2 = object{  

union{
    box{<-0.3,-24,-0.1>,<0.3,0,0.1>}  // Senkrechtes Beinchen
    box{<-0.4,-5,-0.1>,<0.4,-4,0.1>} // Mittenknubbel
    texture{col_silver}
    translate y*1
    }
}

union{
object {led_cap}  
object{led_beinchen1 translate <-1.2,0,1>}  
object {led_beinchen1 translate <-1.2,0,-1>}
object {led_beinchen2 translate z*1}
object {led_beinchen2 translate z*-1}
object {led_beinchen1  rotate y*180 translate <1.2,0,1>}
object {led_beinchen1  rotate y*180 translate <1.2,0,-1>} 
box{<-1.4,-1,-1>,<1.4,-0.5,1> texture{col_silver} translate y*1}
cylinder{<0,0.8,0>,<0,1.2,0>,1 pigment{color White}}
translate 4*y}


#end
